VMTKMESHREADER(1)

NAME
vmtkmeshreader - vmtk script vmtkmeshreader

DESCRIPTION
Automatic piping vmtkmeshreader Parsing options vmtkmeshreader

vmtkmeshreader : read a mesh and stores it in a vtkUnstructuredGrid

    object

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-f Format (str,1) in ['vtkxml', 'vtkxmlp', 'vtk', 'fdneut',

    'ngneut', 'tecplot', 'tetgen', 'gambit']: file format (fdneut - FIDAP neutral format, ngneut - Netgen neutral format)

-guessformat GuessFormat (bool,1); default=1: guess file format

    from extension

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile InputFileName (str,1): input file name

-ghostnodes GhostNodes (bool,1); default=1: store all nodes for

    9-noded quads, 7-noded triangles, 27-noded hexahedra, 18-noded wedges; otherwise, store them as 8-noded quads, 6-noded triangles, 20-noded hexahedra, 15-noded wedges - fdneut only

-volumeelementsonly VolumeElementsOnly (bool,1); default=0: only

    read volume elements - fdneut and ngneut

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids have to be stored - ngneut and tetgen

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where entity ids have been stored - ngneut and tetgen